Aktivite tanımını getir
curl --request GET \
--url https://app.azalt.co/api/v1/activity-definitions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.azalt.co/api/v1/activity-definitions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.azalt.co/api/v1/activity-definitions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"uiCode": "<string>",
"calcCode": "<string>",
"inputs": [
{
"name": "<string>",
"type": "string",
"required": true,
"exportName": "<string>",
"example": "<string>",
"editor": {
"type": "select",
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
}
],
"organizationId": "<string>",
"metadataSchema": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}ActivityDefinition
Aktivite tanımını getir
Belirli bir aktivite tanımını getirir:
Parametreler:
id: Aktivite tanımının benzersiz kimliği
Yanıt, giriş formları için UI kodunu, hesaplama mantığı kodunu, giriş şemasını ve meta verileriyle birlikte tam tanımı döndürür. Aktivite tanımları, aktivitelerin nasıl hesaplandığını ve kullanıcıya nasıl sunulduğunu belirleyen şablonlardır.
GET
/
activity-definitions
/
{id}
Aktivite tanımını getir
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Yol Parametreleri
Yanıt
Successful response
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

